summaryrefslogtreecommitdiffstats
path: root/tests/parsertest.sh
diff options
context:
space:
mode:
authorRainer Gerhards <rgerhards@adiscon.com>2009-08-21 10:19:56 +0200
committerRainer Gerhards <rgerhards@adiscon.com>2009-08-21 10:19:56 +0200
commitbd7542b51593739893922e8ec8fb6d7195d06cbe (patch)
treef7d0a85f593c2b71876365788535bd1b83c73dae /tests/parsertest.sh
parent51aa94ea2c2ae57a6c7207aecf39dd4b578ad8f0 (diff)
parent675d46f5b59f64e378968baa5e0dec6810090287 (diff)
downloadrsyslog-4.4.0.tar.gz
rsyslog-4.4.0.tar.xz
rsyslog-4.4.0.zip
Merge branch 'v4.3.2' (v4-beta) into v4-stablev4.4.0
Conflicts: ChangeLog configure.ac doc/manual.html tests/Makefile.am
Diffstat (limited to 'tests/parsertest.sh')
-rwxr-xr-xtests/parsertest.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/tests/parsertest.sh b/tests/parsertest.sh
index e7985bb0..afdb9469 100755
--- a/tests/parsertest.sh
+++ b/tests/parsertest.sh
@@ -1 +1,13 @@
-./udptester parse1
+echo test parsertest via udp
+$srcdir/killrsyslog.sh # kill rsyslogd if it runs for some reason
+
+./nettester -tparse1 -iudp
+if [ "$?" -ne "0" ]; then
+ exit 1
+fi
+
+echo test parsertest via tcp
+./nettester -tparse1 -itcp
+if [ "$?" -ne "0" ]; then
+ exit 1
+fi